Qt 5.6 | Qt GUI | C++ Classes | QPdfWriter

Qt 5.6.2 Reference Documentation

# Obsolete Members for QPdfWriter

The following members of class QPdfWriter are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` virtual void | setMargins(const Margins &m)
`(obsolete)` virtual void | setPageSize(PageSize size)
`(obsolete)` virtual void | setPageSizeMM(const QSizeF &size)

## Member Function Documentation

### `[virtual]` void QPdfWriter::setMargins(const Margins &m)

Reimplemented from QPagedPaintDevice::setMargins().

See also setPageMargins().

### `[virtual]` void QPdfWriter::setPageSize(PageSize size)

Reimplemented from QPagedPaintDevice::setPageSize().

See also setPageSize().

### `[virtual]` void QPdfWriter::setPageSizeMM(const QSizeF &size)

Reimplemented from QPagedPaintDevice::setPageSizeMM().

See also setPageSize().